Subject: RE: Protocol next steps

From: "Abbie Barbir" <[email-masked]>
Date: Tue, 1 Apr 2003 12:51:44 -0500

hi all,

i have taken a quick look at the draft and I do not have a problem with it
as a wg draft -00.

abbie

> -----Original Message-----
> From: Markus Hofmann [mailto:[email-masked]] 
> Sent: Tuesday, April 01, 2003 12:21 PM
> To: [email-masked]
> Subject: Re: Protocol next steps
> 
> 
> 
> Hilarie,
> 
> > The timeline you suggest is not one I can meet.  I suggest 
> extending 
> > this to the end of April.
> 
> the suggested timeline was just for deciding whether we 
> should publish 
> this as WG document or as individual draft. This *not* a WG last call 
> or such like, we expect to have more interations on this document!!
> 
> We just don't want to delay publishing this as ID. We want to have a 
> proper reference point, rather than just refering to some emails on 
> the list. As such, it would be preferable to publish this - either as 
> WG draft or as individual - in the very near future.
> 
> I personally feel that the document properly reflects the discussion 
> we had so far on the list, and, therefore, am tempted to publish this 
> as WG document.
> 
> I understand that you won't have the time for a very thorough, 
> detailed review until April 4. From your current perspective, would 
> you feel uncomfortable with moving this forward as WG draft? If so, 
> I'd recommend Alex to publish this as individual. If not, let's 
> publish this at WG document and keep working on it in the WG.
> 
> Thanks,
>    Markus
> 
>

---

From: jfcm <[email-masked]>
Date: Wed, 02 Apr 2003 23:14:46 +0200

Dear Abbie,
My Franglish tells me that processing a service is to run the program which 
delivers the service. Not to remotly filter requests for that service 
(which may abort, not be delivered, be negociated) through dispatch rules.

Also, that a server may only participate into providing a service. My 
understanding is therefore - but again it is based upon a non native 
understanding of the language - that an OPES processor is the called-out 
system of servers providing the service.

Example: the Root Server System is the DNS root service processor called 
out by the ISP's resolver, after it acted as a dispatcher checking on its 
cached addresses. The DNS being a distributed OPES modifying the http/smtp 
flow adding an IP address where the user has only entered an URL. I would 
hardly say that the resolver is the DNS processor vs Name Servers.

jfc

On 21:32 02/04/03, Abbie Barbir said:
>hi,
>some basic terminology need to be addressed in the ocp doc.
>I think we should stick with OPES Processor and Callout Server.
>
>we can mention that they operate like a client/server, but the same 
>terminology as in the arch doc should be followed.
>
>I am working my way into editing changes to the doc that will follow soon.
>
>abbie
>
> > From: Markus Hofmann [<mailto:[email-masked]>mailto:[email-masked]]
> > Sent: Tuesday, April 01, 2003 3:53 PM
> > Alex Rousskov wrote:
> > > Given the above, I think we should publish as an individual
> > draft to
> > > give everybody enough time for a thorough review while allowing new
> > > revisions to be discussed and published. Those that do not have a
> > > problem with the draft becoming a WG document can treat it as such
> > > immediately.
> > >
> > > Submitting an individual draft should not hurt anything, should it?
> > > Skipping that step would be nice, but it is not a big deal. I will
> > > submit an individual draft in ~12 hours unless somebody stops me.
> > > Let's move on...
> >
> > Yup, please go ahead and publish as individual draft, we
> > don't want to
> > delay this. We'll keep moving the draft forward on this mailing list
> > with input from the entire WG, with the goal to submit the next
> > version of the draft as WG document. This way, we do *not* delay
> > making progress, we immediately have a valid reference point, and
> > folks still have some time to carefully look at the draft.
> >

> > However, please note: Possible concerns with the content of the
> > document must be brought up while we're working on the next version.
> > There will *not* be a separate review time or such like once the next
> > version is ready for submission (as WG document). Concerns should be
> > expressed while we're on the path to the next version.
> >
> > Thanks,
> >    Markus
> >
> >
>
>---
>Incoming mail is certified Virus Free.
>Checked by AVG anti-virus system (http://www.grisoft.com).
>Version: 6.0.463 / Virus Database: 262 - Release Date: 17/03/03